<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Rollback2 Method (IEdmRevision6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRevision6 Interface : Rollback2 Method (IEdmRevision6)

Visual Basic
C#
C++/CLI

bsComment
  Comment for this revision

Obsolete. Superseded by IEdmRevision7::Rollback3.

# Syntax

Visual Basic |
--- | ---

    Sub Rollback2( _
       ByVal bsComment As System.String _
    )

C# |
--- | ---

    void Rollback2(
       System.string bsComment
    )

C++/CLI |
--- | ---

    void Rollback2(
    &   System.String^ bsComment
    )

#### Parameters

bsComment
  Comment for this revision

# Remarks

This method destroys all versions after this revision number. To undo this rollback operation, you need to restore a backup of the entire database and file archives.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_PERMISSION_DENIED: The user lacks permission to delete files.

# See Also

####

IEdmRevision6 Interface
IEdmRevision6 Members
IEdmEnumeratorVersion6::Rollback2 Method ()
IEdmVersion6::Rollback2 Method ()

# Availability

SOLIDWORKS PDM Professional 2015